| Package | Description |
|---|---|
| org.apache.camel.builder.endpoint.dsl |
| Modifier and Type | Method and Description |
|---|---|
default JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder |
JSR356WebSocketEndpointBuilderFactory.AdvancedJSR356WebSocketEndpointBuilder.basic() |
default JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder |
JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder.sessionCount(int sessionCount)
Used when the endpoint is in client mode to populate a pool of
sessions.
|
default JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder |
JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder.sessionCount(String sessionCount)
Used when the endpoint is in client mode to populate a pool of
sessions.
|
default JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder |
JSR356WebSocketEndpointBuilderFactory.websocketJsr356(String path)
Javax Websocket (camel-websocket-jsr356)
Camel WebSocket using JSR356 (javax)
Category: jsr356
Since: 2.23
Maven coordinates: org.apache.camel:camel-websocket-jsr356
Syntax:
websocket-jsr356:websocketPathOrUri
Path parameter: websocketPathOrUri
If a path (/foo) it will deploy locally the endpoint, if an uri it will
connect to the corresponding server |
Apache Camel